org.apache.cassandra.cql3

## Class AbstractMarker.Raw

- java.lang.Object
- - org.apache.cassandra.cql3.AbstractMarker.Raw

- All Implemented Interfaces:
    AssignmentTestable, Term.Raw
  Direct Known Subclasses:
    AbstractMarker.INRaw, Tuples.INRaw, Tuples.Raw
  Enclosing class:
    AbstractMarker

      public static class AbstractMarker.Raw
      extends java.lang.Object
      implements Term.Raw

  A parsed, but non prepared, bind marker.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.AssignmentTestable

      `AssignmentTestable.TestResult`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `bindIndex`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Raw(int bindIndex)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Term.NonTerminal` | `prepare(java.lang.String keyspace, ColumnSpecification receiver)` This method validates this RawTerm is valid for provided column specification and "prepare" this RawTerm, returning the resulting prepared Term.
    `AssignmentTestable.TestResult` | `testAssignment(java.lang.String keyspace, ColumnSpecification receiver)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### bindIndex

          protected final int bindIndex

  - ### Constructor Detail

    - #### Raw

          public Raw(int bindIndex)

  - ### Method Detail

    - #### prepare

          public Term.NonTerminal prepare(java.lang.String keyspace,
                                          ColumnSpecification receiver)
                                   throws InvalidRequestException

      Description copied from interface: `Term.Raw`
      This method validates this RawTerm is valid for provided column specification and "prepare" this RawTerm, returning the resulting prepared Term.
      Specified by:
        `prepare` in interface `Term.Raw`
        `receiver` - the "column" this RawTerm is supposed to be a value of. Note that the ColumnSpecification may not correspond to a real column in the case this RawTerm describe a list index or a map key, etc...
      Returns:
        the prepared term.
      Throws:
        `InvalidRequestException`

    - #### testAssignment

          public AssignmentTestable.TestResult testAssignment(java.lang.String keyspace,
                                                              ColumnSpecification receiver)

      Specified by:
        `testAssignment` in interface `AssignmentTestable`
      Returns:
        whether this object can be assigned to the provided receiver. We distinguish between 3 values: - EXACT_MATCH if this object is exactly of the type expected by the receiver - WEAKLY_ASSIGNABLE if this object is not exactly the expected type but is assignable nonetheless - NOT_ASSIGNABLE if it's not assignable Most caller should just call the isAssignable() method on the result, though functions have a use for testing "strong" equality to decide the most precise overload to pick when multiple could match.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation